zenilib: PS_BlendRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PS_BlendRec_ Struct Reference

`#include <t1tables.h>`

## Public Attributes

FT_String * | axis_names [T1_MAX_MM_AXIS]
FT_BBox * | bboxes [T1_MAX_MM_DESIGNS+1]
FT_ULong | blend_bitflags
FT_UInt | default_design_vector [T1_MAX_MM_DESIGNS]
FT_Fixed * | default_weight_vector
PS_DesignMapRec | design_map [T1_MAX_MM_AXIS]
FT_Fixed * | design_pos [T1_MAX_MM_DESIGNS]
PS_FontInfo | font_infos [T1_MAX_MM_DESIGNS+1]
FT_UInt | num_axis
FT_UInt | num_default_design_vector
FT_UInt | num_designs
PS_Private | privates [T1_MAX_MM_DESIGNS+1]
FT_Fixed * | weight_vector

## Detailed Description

Definition at line 262 of file t1tables.h.

## Member Data Documentation

FT_String* PS_BlendRec_::axis_names[T1_MAX_MM_AXIS]

Definition at line 267 of file t1tables.h.

Referenced by parse_blend_axis_types(), T1_Done_Blend(), and T1_Get_Multi_Master().

FT_BBox* PS_BlendRec_::bboxes[T1_MAX_MM_DESIGNS+1]

Definition at line 279 of file t1tables.h.

Referenced by t1_allocate_blend(), T1_Done_Blend(), and t1_load_keyword().

FT_ULong PS_BlendRec_::blend_bitflags

Definition at line 277 of file t1tables.h.

FT_UInt PS_BlendRec_::default_design_vector[T1_MAX_MM_DESIGNS]

Definition at line 287 of file t1tables.h.

FT_Fixed* PS_BlendRec_::default_weight_vector

Definition at line 272 of file t1tables.h.

Referenced by parse_weight_vector(), t1_allocate_blend(), T1_Done_Blend(), and T1_Get_MM_Var().

PS_DesignMapRec PS_BlendRec_::design_map[T1_MAX_MM_AXIS]

Definition at line 269 of file t1tables.h.

Referenced by parse_blend_design_map(), T1_Done_Blend(), T1_Get_MM_Var(), T1_Get_Multi_Master(), and T1_Set_MM_Design().

FT_Fixed* PS_BlendRec_::design_pos[T1_MAX_MM_DESIGNS]

Definition at line 268 of file t1tables.h.

Referenced by parse_blend_design_positions(), t1_allocate_blend(), and T1_Done_Blend().

PS_FontInfo PS_BlendRec_::font_infos[T1_MAX_MM_DESIGNS+1]

Definition at line 274 of file t1tables.h.

Referenced by t1_allocate_blend(), T1_Done_Blend(), and t1_load_keyword().

FT_UInt PS_BlendRec_::num_axis

Definition at line 265 of file t1tables.h.

Referenced by t1_allocate_blend(), T1_Done_Blend(), T1_Get_MM_Var(), T1_Get_Multi_Master(), T1_Set_MM_Blend(), and T1_Set_MM_Design().

FT_UInt PS_BlendRec_::num_default_design_vector

Definition at line 288 of file t1tables.h.

Referenced by t1_allocate_blend().

FT_UInt PS_BlendRec_::num_designs

Definition at line 264 of file t1tables.h.

Referenced by parse_weight_vector(), t1_allocate_blend(), t1_decoder_parse_charstrings(), T1_Done_Blend(), T1_Get_MM_Var(), T1_Get_Multi_Master(), t1_load_keyword(), and T1_Set_MM_Blend().

PS_Private PS_BlendRec_::privates[T1_MAX_MM_DESIGNS+1]

Definition at line 275 of file t1tables.h.

Referenced by t1_allocate_blend(), T1_Done_Blend(), and t1_load_keyword().

FT_Fixed* PS_BlendRec_::weight_vector

Definition at line 271 of file t1tables.h.

Referenced by parse_weight_vector(), t1_allocate_blend(), t1_decoder_parse_charstrings(), T1_Done_Blend(), and T1_Set_MM_Blend().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/t1tables.h